<?php session_start();?>
<?php require_once('open_connection.php');?>
<!--link href='blue/style.css' rel='stylesheet' type='text/css' /-->
<link href='css/imagetable.css' rel='stylesheet' type='text/css' />
<!DOCTYPE html>
<html>
<head>
      <title>PICCSB e-Directory System</title>

</head>
<body bgcolor="#333333"> 

<table width="100%" border="0" align="center">
<tr>
<td width="15%" bgcolor="#333333">&nbsp;</td>
<td width="70%" align="center" bgcolor="#FFFFFF" > 

<table width="100%" border="0" align="center">

<!-- row for header picc 1 -->
<tr>  
     <th width="100%" colspan="4"><img src="images/header-cox.jpg" width="100%" height="15%"></th>
</tr>

<!-- row for header picc 2 -->
<tr>
     <th width="100%" colspan="4"><img src="images/eoffice-cox.jpg" width="100%" height="30%"></th>
</tr>
<!-- calling frame -->	
<tr>
    <td colspan="1" width="10%" align="center"><?php include("header.php");?></td>
	
</tr>
<tr>

<td colspan="3" width="90%" align="center" >
<tr><td>&nbsp;</td></tr>
<tr><td align="left">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<?php
							$user_id=$_SESSION['user_id'];
							echo 'Welcome: ' . $_SESSION['user_name'];
?>
							<a href="admin_logout.php"><img src="images/logout3.gif" align="right"></a>
							</td>
</tr>
<tr><td>
<h2 align="center">ADMINISTRATOR DIVISION PAGE</h2>

<form action="administrator_division_view.php" method="post">
<table border=0 align=center class="imagetable" >
<tr><td>INFO SEARCH</td>
<td><input type="text" name="directory" />
<input type="submit" class="myButton"  value="SEARCH"/>&nbsp;
<input type="button" class="myButton"  value="INSERT"  onClick="window.location.href='administrator_division.php'">&nbsp;
<input type="button" class="myButton"  value="ADMINISTRATOR'S MENU"    onClick="window.location.href='administrator_menu.php'">
<input type="button" class="myButton" value = "BACK" onClick="history.go(-1);return true;">

<!--<input type="button" class="myButton"  value="HOME"    onClick="window.location.href='index.php'">-->
<input type="hidden" name="division_id" value="<?php echo $division_id; ?>">
 </td>
</tr>
</table>
</form>
<br>

<!--hr /-->
<div align="right">
<?php
$rowsPerPage =20; 
				$pageNum = $_REQUEST['page']; 
				if(empty($pageNum))
						{
					$offset =0;
					$pageNum=1;
						}
				else
						{
					$offset = ($pageNum - 1) * $rowsPerPage;
						}	
						$result=mysql_query("SELECT * from tbl_ref_division WHERE division_id LIKE '%".$_POST[directory]."%' OR Name LIKE '%".$_POST[directory]."%'
 LIMIT $offset, $rowsPerPage");
		
		  			$i=$offset;
		  
echo "<center><span class=style16><table class=imagetable id=user width=90%>";
echo "<thead>";
echo"<tr align='center'><th>NO</th><th>DIVISION NAME</th><th colspan=2>ACTION</th></tr>";
echo "</thead>";
echo "<tbody>";	 
while($row=mysql_fetch_array($result))
{
					 $division_id = $row['division_id']; 
		 		     $Name = $row['Name'];
		     	
			
			         
			$i++;
					echo"<tr>";
						echo "<td align=center>".$i."</td>";
						//echo "<td align=left >".$row['division_id']."</td>";
						echo "<td align=center >".$row['Name']."</td>";
						
						
						
						
						echo "<td align=center >"."<a href='administrator_division_update.php?division_id=$division_id'>Update</a>"."</td>";
						echo "<td align=center >"."<a href='administrator_division_delete.php?division_id=$division_id'>Delete</a>"."</td>";
					echo"</tr>";
					}
					
					echo "</span></table>";
echo "</tbody>";
//mysql_close($con);

?>
  <tr><td>
  <div align="right"> <span class="style16"  >
    <?php
				$query1 = "SELECT COUNT(division_id) AS numrows FROM tbl_ref_division";
				$result1 = mysql_query($query1) or die('Error, query failed');
				$row1 = mysql_fetch_array($result1, MYSQL_ASSOC);
				$numrows = $row1['numrows'];
				$maxPage = ceil($numrows/$rowsPerPage);
				// print the link to access each page
				$self = $_SERVER['PHP_SELF'];
				$nav = '';
				for($page = 1; $page <= $maxPage; $page++){
				if ($page == $pageNum){
				$nav .= " $page ";}
				else{
				$nav .= " <a href=\"$self?page=$page\">$page</a> ";
					}
				}
				if ($pageNum > 1)
				{
					$page = $pageNum - 1;
					$color="#FFFFFF";
					$prev = " <a href=\"$self?page=$page\">[Previous]</a> ";
					$first = " <a href=\"$self?page=1\">[First]</a> ";
				}
					else{
					$prev = ' ';
					$first = ' ';
				}
					if ($pageNum < $maxPage)
				{
						$page = $pageNum + 1;
						$next = " <a href=\"$self?page=$page\">[Next]</a> ";
						$last = " <a href=\"$self?page=$maxPage\">[Last]</a> ";
				}
					else{
					$next = ' ';
					$last = ' ';
				}
		echo  $first . $prev . $nav . $next . $last;?>
  </span></div>
  </td>
  </tr>
  
</div>
</body>
<script type='text/javascript' src='tablesorter/jquery-latest.js'>
</script>
<script type='text/javascript' src='tablesorter/jquery.tablesorter.min.js'>
</script>


<script type='text/javascript'>
	$(document).ready(function() { 
		$("#user").tablesorter({ 
			//for example we want to disable the 
			//password column (5th column) from sorting
			//we will specify '4' since it was indexed
			//(count starts at '0')
			//and set its property to 'false'
			headers: { 
				8: {    
					sorter: false 
				}
			}
		}); 
	});
	
</script>
  </td></tr>
  
  </div>
  </td></tr>
<!-- row for footer -->	
<tr>
	<th align="center" colspan="4">
	<?php include('footer.php');?>
		
	</th>
</tr>

<!--- end for ruang kerja 80% -->
</table>

</td>

<td width="20%" bgcolor="#333333">&nbsp;</td>

</tr>

<!--- end for ruang kerja 100% -->
</table>

</body>
</html>